List all service registry connections on a gateway group
GET /api/gateway_groups/{gateway_group_id}/service_registries
GET /api/gateway_groups/{gateway_group_id}/service_registriesInteractive request editor loads with JavaScript.
In: header
Path Parameters
Gateway group ID.
1 <= lengthQuery Parameters
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Index to order service registry connections by.
"updated_at"Value in
- "created_at"
- "updated_at"
- "last_connect_time"
Condition to search resources by.
Response Body
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/service_registries?search=version%253Dv2"Successfully retrieved the paginated list of service registries.
{
"total": 1,
"list": [
{
"name": "sample-service-registry",
"description": "service registry description",
"health_check": {
"probe_interval": 15,
"probe_timeout": 5
},
"type": "kubernetes",
"kubernetes_config": {
"service": {
"schema": "http",
"host": "httpbin.org",
"port": "6443"
},
"namespace_selector": {
"equal": "prod",
"not_equal": "kube-system",
"match": [
"team-a"
],
"not_match": [
"test-env"
]
},
"label_selector": "app=nginx,env=prod",
"client": {
"token_file": "/var/run/secrets/kubernetes.io/serviceaccount/token"
}
},
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"gateway_group_id": "bc1b95c9-b348-4832-acc3-e257d2342df1",
"created_at": 1742288232,
"updated_at": 1742288235,
"status": "healthy",
"last_connect_time": 1742288230,
"associated_services_count": 0
}
]
}Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/service_registries
List all service registry connections on a gateway group
IAM Action: gateway:GetServiceRegistry, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.order_by(query, string, optional): Index to order service registry connections by.search(query, string, optional): Condition to search resources by.gateway_group_id(path, string, required): Gateway group ID.
Responses
200: Successfully retrieved the paginated list of service registries.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): An array of service registries.- allOf variant 1
- allOf variant 1
- allOf variant 1
list[].name(string, optional): The object name.list[].description(string, optional): Service registry description.list[].health_check(object, optional): Health check configurations.list[].health_check.probe_interval(integer, optional): The time interval for checking service registry (in seconds).list[].health_check.probe_timeout(integer, optional): The timeout for checking service registry (in seconds).- allOf variant 2
- oneOf variant 1: Kubernetes
list[].type(string, required): The kubernetes service type.list[].kubernetes_config(object, required): Kubernetes service registry configurations.list[].kubernetes_config.service(object, optional): The IP address of the Kubernetes API server.list[].kubernetes_config.service.schema(string, required):list[].kubernetes_config.service.host(string, required): The HTTP host.list[].kubernetes_config.service.port(string, required):list[].kubernetes_config.namespace_selector(object,null, optional): The namespace selector to filter target namespaces.list[].kubernetes_config.namespace_selector.equal(string, optional): Value to match namespaces whose name is exactly equal to the specified string.list[].kubernetes_config.namespace_selector.not_equal(string, optional): Value to exclude namespaces whose name is exactly equal to the specified string.list[].kubernetes_config.namespace_selector.match(array, optional): List of values to match namespaces whose names match any of the specified strings.list[].kubernetes_config.namespace_selector.not_match(array, optional): List of values to exclude namespaces whose names match any of the specified strings.- oneOf variant 1: Equal
- oneOf variant 2: Not Equal
- oneOf variant 3: Match
- oneOf variant 4: Not Match
list[].kubernetes_config.label_selector(string, optional): The label selector to filter target endpoints.list[].kubernetes_config.client(object, optional): The client name.- oneOf variant 1: Token File
list[].kubernetes_config.client.token_file(string, required): The path to the token file of the Kubernetes service account.- oneOf variant 2: Token Value
list[].kubernetes_config.client.token(string, required): The token of the Kubernetes service account.- oneOf variant 2: Nacos
list[].type(string, required): The Nacos service type.list[].nacos_config(object, required): Nacos service registry configurations.list[].nacos_config.hosts(array, required): The address of the Nacos API server.list[].nacos_config.prefix(string, optional): The prefix of the Nacos API.list[].nacos_config.default_weight(integer, optional): The default weight of the endpoints.list[].nacos_config.fetch_interval(integer, optional): The interval for fetching endpoints (in seconds).list[].nacos_config.timeout(object, optional): Timeout settings for connecting to, sending requests to, and receiving responses from Nacos, in seconds.list[].nacos_config.timeout.connect(integer, optional): Connection timeout.list[].nacos_config.timeout.send(integer, optional): Sending timeout in seconds.list[].nacos_config.timeout.read(integer, optional): Reading timeout in seconds.list[].nacos_config.auth(object, optional): Nacos authentication configuration.- oneOf variant 1: Username & Password
list[].nacos_config.auth.username(string, required): The username of the Nacos API.list[].nacos_config.auth.password(string, required): The password of the Nacos API.- oneOf variant 2: Token
list[].nacos_config.auth.token(string, required): The token of the Nacos service.- oneOf variant 3: Access Key & Secret Key
list[].nacos_config.auth.access_key(string, required): The access key of the Nacos API.list[].nacos_config.auth.secret_key(string, required): The secret key of the Nacos API.- oneOf variant 3: Consul
list[].type(string, required): The Consul service type.list[].consul_config(object, required): Consul service registry configurations.list[].consul_config.servers(array, required): The addresses of the Consul servers.list[].consul_config.token(string, optional): The ACL token for authenticating with Consul.list[].consul_config.weight(integer, optional): The default weight of the discovered endpoints.list[].consul_config.fetch_interval(integer, optional): The interval for fetching endpoints (in seconds).list[].consul_config.timeout(object, optional): Timeout settings for connecting to, sending requests to, and receiving responses from Consul, in seconds.list[].consul_config.timeout.connect(integer, optional): Connection timeout.list[].consul_config.timeout.send(integer, optional): Sending timeout in seconds.list[].consul_config.timeout.read(integer, optional): Reading timeout in seconds.- allOf variant 2
list[].id(string, optional): The object ID.list[].gateway_group_id(string, optional): The gateway group ID.list[].created_at(integer, optional): The object created timestamp.list[].updated_at(integer, optional): The object updated timestamp.- allOf variant 2
list[].status(string, optional): The status of the service registry.list[].last_connect_time(integer, optional): The object timestamp.list[].associated_services_count(integer, optional): The associated services of the service registry.400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/service_registries'